boundry.
RegionSydney, Australia
Documentation/registerOAuthClient
POST/oauth/register

registerOAuthClient

Authentication

This operation does not declare an authentication requirement in the API contract.

Request body (required)

FieldTypeDescription
client_namerequiredstring

redirect_urisrequiredarray

grant_typesarray

token_endpoint_auth_methodunknown

Values: "client_secret_post", "client_secret_basic", "none".

scopestring

Request examples

request.sh
bash
curl --request POST 'https://api.au.boundry.dev/oauth/register' \
+  -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+  -H 'Content-Type: application/json' \
+  --data '{"client_name":"string","redirect_uris":["string"],"grant_types":["authorization_code"],"token_endpoint_auth_method":"client_secret_post","scope":"string"}'

201 response

Registered OAuth client with one-time secret